ONVIF::Media::Types::Vector(3)

NAME
ONVIF::Media::Types::Vector

DESCRIPTION
Perl data type class for the XML Schema defined complexType Vector from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

METHODS

  new
Constructor. The following data structure may be passed to new():

,

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::Media::Types::Vector::_Vector::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   x

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::float.

•   y

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::float.

AUTHOR
Generated by SOAP::WSDL